document.addEventListener('DOMContentLoaded', () => {
    const youtubePlayer = document.getElementById('youtubePlayer');
    
    // Beállítjuk a mentett YouTube ID-t, ha létezik
    const savedYoutubeId = localStorage.getItem('youtubeId');
    if (savedYoutubeId) {
        // Beállítjuk az új YouTube ID-t
        youtubePlayer.src = `https://www.youtube.com/embed/${savedYoutubeId}?autoplay=1`;
        youtubePlayer.width = '560'; // Esetleg állítsd vissza a méretet
        youtubePlayer.height = '315'; // Esetleg állítsd vissza a méretet
    }
});
